#ifndef TRACE_SPECIALIZED_TRACE_H_
#define TRACE_SPECIALIZED_TRACE_H_

namespace trace {
namespace specialized {

template<template <typename> class StreamType, typename Store>
class Trace : public TraceReader<StreamType, Store> {
};

template<template <typename> class StreamType, typename Storage = std::fstream>
class FileTrace : public Trace<StreamType, trace::FileTrace<StreamType, Storage> > {
};

}  // namespace specialized
}  // namespace trace

#endif  // TRACE_SPECIALIZED_TRACE_H_
